
Name:    digikamimageplugins
Summary: Plugins for Digikam
Version: 0.8.2
Release: 1%{?dist}

License: GPL
Group:   Applications/Multimedia
URL:     http://extragear.kde.org/apps/digikamimageplugins/ 
Source:  http://dl.sourceforge.net/sourceforge/digikam/digikamimageplugins-%{version}.tar.bz2	
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes: digikamplugins < %{version}

BuildRequires: gettext
BuildRequires: libxml2
BuildRequires: kdelibs-devel 
BuildRequires: digikam-devel >= %{version}
BuildRequires: digikam-devel < 0.9
BuildRequires: symlinks

## rpm already auto deps on libdigikam.so.0
Requires: digikam >= %{version}
#Requires: digikam < 0.9
Requires: ImageMagick 

%description
DigikamImagePlugins are a collection of plugins for digiKam Image 
Editor and showfoto (digiKam stand alone image editor implementation). 
These plugins add new image treatment options like color management, 
filters, or special effects.

Currently implemented plugins include:
* Image improvements:
  o Adjust levels : a tool to adjust the photograph histogram levels.
  o Adjust curves : a tool to adjust the photograph colors using curves.
  o Noise Reduction : a photograph noise reduction filter.
  o Unsharp : a photograph unsharp mask filter to unblur picture without
    increase noise.
  o Lens Distortion : a tool for correct lens spherical aberration on
    photograph.
  o Anti Vignetting : a tool for correct vignetting on photograph.
  o Channel Mixer : a tool to mix the photograph color channels.
  o White Balance : a tool to adjust white color temperature balance of
    photograph.
  o Photograph Restoration : a tool to reduce photograph artifacts 
    (CImg library).
  o Photograph Inpainting : a tool to remove unwanted photograph area
    (CImg library).
  o Photograph Refocus : a sharpness editor to refocus a photograph (SVN only).
  o Hot Pixels Correction : a tool to remove photograph hot pixels generated by a deficient camera CCD (SVN only).
* Transformation tools:
  o Free Rotation : a plugin to rotate a photograph with a free angle in
    degrees.
  o Shear Tool : a plugin to shear a photograph horizontally and vertically.
  o Perpective Tool : a plugin to adjust the photograph perpective.
  o Blowup Photograph : a plugin to blowup a photograph without less image
    quality using CImg library.
* Image tools:
  o Template Superimpose : a tool for superimpose a template on photograph.
  o Add Border : a tool for add border around a photograph.
  o Insert Text : a tool for insert text under a photograph.
  o Apply Texture : a tool to apply a decorative texture to a photograph.
* Special effects:
  o Solarize : a plugin to solarize a photograph.
  o Oil Paint : simulate oil painting on photograph
    (using Pieter Voloshyn algorithm).
  o Emboss : an effect filter to emboss photograph
    (using Pieter Voloshyn algorithm).
  o Rain Drops : adding the visual effect of raindrops on photograph
    (using Pieter Voloshyn algorithm).
  o Charcoal : simulate charcoal drawing on photograph.
  o FilmGrain : simulate film grain on photograph.
  o Infrared : simulate infrared film effect on photograph.
  o Blur FX : apply bluring special effects on photograph
    (using Pieter Voloshyn algorithms).
  o Distortion FX : apply distortion special effects on photograph
    (using Pieter Voloshyn algorithms).


%prep
%setup -q -n %{name}-%{version}%{?beta:-%{beta}}


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --disable-gcc-hidden-visibility \
  --enable-new-ldflags \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final

make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

## File lists
# locale's
for app_file in $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/*.mo ; do
   app=$(basename $app_file .mo)
   # don't repeat
   [ ! -f ${app}.lang ] && %find_lang ${app}
done
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

cat *.lang > %{name}.list


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%files -f %{name}.list
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_libdir}/kde3/digikamimageplugin_*.*
%{_datadir}/apps/digikamimageplugins/
%{_datadir}/apps/digikam/
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/services/*.desktop


%changelog
* Tue Jul 18 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.2-1
- 0.8.2

* Thu Feb 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.1-1
- 0.8.1
- update %%description (it's getting pretty long, maybe consider
  omitting detailed list of available plugins)

* Tue Feb 14 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- BR: %%version <= digikam < 0.9

* Fri Feb 10 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Thu Dec 01 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.0-1
- 0.8.0

* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.8.0-0.1.rc
- 0.8.0-rc

* Thu Nov 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-11 
- abs->relative symlinks
- simplify configure

* Fri Nov 04 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-10 
- Req/BR: digikam = %%version

* Fri Oct 28 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-9
- simplify file list
- Requires: digikam
- BR: digikam-devel < 0.8 (prep for 0.8)

* Sun Oct 23 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-7
- drop extraneous BR's (#171503)

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-6
- BR: libjpeg-devel (more missing digikam-devel deps)

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-5
- %%post,%%postun: gtk-update-icon-cache
- drop %%{?debug_package}
- drop CVS tags

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-4
- %%description: < 80 columns 
- BR: libkipi-devel, libkexif-devel, gphoto2-devel, imlib2-devel
  (workaround for digikam bug #171503)

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-3
- follow icon spec (touch icon theme dir)

* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-2
- BR: gdbm-devel (workaround for digikam bug #171503)

* Thu Aug 18 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-1
- 0.7.4

* Thu Jul 07 2005 Rex Dieter 0:0.7.3-0.1.kde
- 0.7.3(final)

* Fri Apr 15 2005 Rex Dieter 0:0.7.3-0.0.beta1.kde
- 0.7.3-beta1

* Tue Mar 03 2005 Rex Dieter 0.7.2-1.0.kde
- 0.7.2 

* Tue Feb 08 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.7.2-0.fdr.0.1.beta1
- 0.7.2-beta1

* Mon Jan 03 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.7.1-0.fdr.0
- 0.7.1
- digikamimageplugins-0.7.1-imlib2.patch (kde bug #96251)

* Mon Nov 15 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.7-0.fdr.0
- 0.7

* Fri Jun 18 2004 Rex Dieter <rexdieter at sf.net. 0:0.6.2-0.fdr.0
- 0.6.2

* Wed Jun 02 2004 Rex Dieter <rexdieter at sf.net> 0:0.6.1-0.fdr.1
- opengl patch

* Sun Apr 04 2004 Rex Dieter <rexdieter at sf.net>
- kde-redhat'ize
- TODO: 0.6.1

* Mon Mar 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.6-0.fdr.2
- keep the *.la files (or else plugins won't be detected)

* Sat Mar 20 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.6-0.fdr.1
- Initial RPM release.
